#include <stdio.h>
#include <stdlib.h>
#include <string.h>


void *
_realloc(
	void *		old_ptr,
	unsigned long	new_length )
{
	char *		new_ptr;
	unsigned long	old_length;
	
	
	if (new_length == 0)
	{
		new_length = sizeof( int );
	}
	
	if (old_ptr == NULL)
	{
		return malloc( new_length );
	}
	
	old_length = *(((unsigned long *)old_ptr) - 1);
	
	if (old_length >= new_length)
	{
		return old_ptr;
	}
	
	if ((new_ptr = malloc( new_length )) == NULL)
	{
		return NULL;
	}

	memcpy( new_ptr, old_ptr, old_length );
	
	free( old_ptr );
	
	return new_ptr;

} /* _realloc */


int
main( void )
{
	char *	ptr;
	

	ptr = malloc( 20 );
	
	printf( "ptr = %p, ptr[-1] = %u\n", ptr, *(((unsigned int *)ptr) - 1) );

	ptr = _realloc( ptr, 30 );

	printf( "ptr = %p, ptr[-1] = %u\n", ptr, *(((unsigned int *)ptr) - 1) );
}
