/*
 * MAX_MOVE defines the maximum allowable distance between mouse coordinates
 * before the mouse is considered to have wrapped, ie moved off one edge of
 * the mouse's coordinate space and in through another.
 */
 
#define MAX_MOVE	(0x8000 >> 1)	


void
filter_coords(
	unsigned short	x_in,
	unsigned short	y_in,
	signed int *	x_out,
	signed int *	y_out )
/*
 * translate the absolute x & y coordinates of a mouse event into
 * relative coordinates.  Allows for wrap around of the coordinates.
 */
{
	static unsigned int	oldx = 0;
	static unsigned int	oldy = 0;


	*x_out = (x_in - old_x);
	*y_out = (y_in - old_y);

	old_x = x_in;
	old_y = y_in;
	
	if (abs( *x_out ) > MAX_MOVE)
	{
	}
	
	if (abs( *y_out ) > MAX_MOVE)
	{
	}

} /* filter_coords */
